﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows.Data;
using Infragistics.Windows.DataPresenter;

namespace DataGridFieldConcat
{
    public class MyConverter : IValueConverter
    {
        public object Convert(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            DataRecord dr = parameter as DataRecord;

            if (dr != null)
            {
                if (dr.Cells["Address"].Value.ToString() == "WallStreet")
                {
                    return dr.Cells["Number"].Value;
                }
                return (int)dr.Cells["Number"].Value *-1;
            }
            return Binding.DoNothing;
        }

        public object ConvertBack(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            throw new NotImplementedException();
        }
    }
}
